Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.google.gwt.inject.rebind.reflect
Class ReflectUtil.SignatureBuilder

    java.lang.Object
      com.google.gwt.inject.rebind.reflect.ReflectUtil.SignatureBuilder

Enclosing class:
  ReflectUtil

    public static class ReflectUtil.SignatureBuilder

extends java.lang.Object

Builder that produces the signature of a method.

Method Summary
`java.lang.String` | `build()` Builds the method signature with all types in source form.
`ReflectUtil.SignatureBuilder` | `removeAbstractModifier()` Removes the abstract modifier from the current modifiers (either the last modifiers set by `withModifiers(int)`, or the modifiers of the method passed to `ReflectUtil.signatureBuilder(com.google.gwt.inject.rebind.reflect.MethodLiteral)`).
`ReflectUtil.SignatureBuilder` | `withMethodName(java.lang.String methodName)` Sets the method name used in the signature.
`ReflectUtil.SignatureBuilder` | `withModifiers(int modifiers)` Sets the modifiers used in the method signature.
`ReflectUtil.SignatureBuilder` | `withParameterNames(java.lang.String[] parameterNames)` Sets the names to use for the method's parameters.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### build

    public java.lang.String build()
                           throws NoSourceNameException

  Builds the method signature with all types in source form.

  Throws:
    `NoSourceNameException` - if any type's source name cannot be determined.
  See Also:
    `ReflectUtil.getSourceName(Type)`

### removeAbstractModifier

    public ReflectUtil.SignatureBuilder removeAbstractModifier()

  Removes the abstract modifier from the current modifiers (either the last modifiers set by `withModifiers(int)`, or the modifiers of the method passed to `ReflectUtil.signatureBuilder(com.google.gwt.inject.rebind.reflect.MethodLiteral)`).

### withMethodName

    public ReflectUtil.SignatureBuilder withMethodName(java.lang.String methodName)

  Sets the method name used in the signature. If not set, defaults to the method's name.

### withModifiers

    public ReflectUtil.SignatureBuilder withModifiers(int modifiers)

  Sets the modifiers used in the method signature. If not set, defaults to the method's modifiers.

### withParameterNames

    public ReflectUtil.SignatureBuilder withParameterNames(java.lang.String[] parameterNames)

  Sets the names to use for the method's parameters. The length of parameterNames must be the same as the method's parameter count. If not set, default names are chosen.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD